---
title: "Failover"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/session/failover/
---

# FAILOVER API

-   [POST applydefaultrouting](#post-applydefaultrouting)
-   [POST failovermachine](#post-failovermachine)
-   [POST restoremachine](#post-restoremachine)
-   [GET settings](#get-settings)
-   [GET understudytargets](#get-understudytargets)

## POST applydefaultrouting

### Summary

Apply default matrix feed routing, to restore it back to normal state after restoring a machine

### URL

POST    /api/session/failover/applydefaultrouting

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST failovermachine

### Summary

Fail over a single actor machine

### URL

POST    /api/session/failover/failovermachine

### Request

```json
{
  "machine": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST restoremachine

### Summary

Restore a single previously-failed actor machine

### URL

POST    /api/session/failover/restoremachine

### Request

```json
{
  "machine": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET settings

### Summary

Get session-wide failover settings

### URL

GET    /api/session/failover/settings

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "timeout": 0,
  "normalPreset": "",
  "currentPreset": ""
}
```

## GET understudytargets

### Summary

List targets for every understudy in the session

### URL

GET    /api/session/failover/understudytargets

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "understudies": {}
}
```
